Bug 495687 - Can't create LVM logical volume in livecd-testday-20090414
Can't create LVM logical volume in livecd-testday-20090414
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 08:28 EDT by Markku Kolkka
Modified: 2009-04-19 05:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-19 05:27:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen capture of the installer with error messages (in Finnish, sorry) (781.70 KB, image/png)
2009-04-14 08:28 EDT, Markku Kolkka
no flags Details
Anaconda log file (125.28 KB, text/plain)
2009-04-14 08:29 EDT, Markku Kolkka
no flags Details
Program log file (4.38 KB, text/plain)
2009-04-14 08:30 EDT, Markku Kolkka
no flags Details
Storage log file (216.84 KB, text/plain)
2009-04-14 08:30 EDT, Markku Kolkka
no flags Details

  None (edit)
Description Markku Kolkka 2009-04-14 08:28:45 EDT
Created attachment 339474 [details]
Screen capture of the installer with error messages (in Finnish, sorry)

Description of problem:
I'm using the LiveCD from image: http://jlaska.fedorapeople.org/live/livecd-fedora-livecd-testday-20090414-x86_64.iso
I'm trying to install it on LVM over dmraid, on a system with pre-existing Fedora 8 and Windows. I can't remove either of the old operating systems.
When trying to create a LVM / volume for F11/rawhide in an existing LVM volume group, the installer rejects all volume sizes as invalid. There's 16GB of free space in the volume group.

Version-Release number of selected component (if applicable):
11.5.0.43-1

How reproducible:
always

Steps to Reproduce:
1. Start the installer
2. Continue to the hard disk partitioning screen and choose custom partitioning
3. Try to create a LVM volume mounted as /
  
Actual results:
An error dialog tells that the entered volume size is invalid, for all sizes I try.

Expected results:
A new volume is created for installing F11.

Additional info:
Hardware profile http://www.smolts.org/client/show/pub_773dc27d-365b-4ca7-aba6-abe94d3aaa1f
LVM info
# pvdisplay 
  --- Physical volume ---
  PV Name               /dev/dm-5
  VG Name               VolGroup00
  PV Size               100.00 GB / not usable 62.69 MB
  Allocatable           yes 
  PE Size (KByte)       65536
  Total PE              1599
  Free PE               255
  Allocated PE          1344
  PV UUID               SplTht-imwd-hLK9-U57i-2541-a0IX-4x8CZk
# vgdisplay
  --- Volume group ---
  VG Name               VolGroup00
  System ID             
  Format                lvm2
  Metadata Areas        1
  Metadata Sequence No  29
  VG Access             read/write
  VG Status             resizable
  MAX LV                0
  Cur LV                7
  Open LV               0
  Max PV                0
  Cur PV                1
  Act PV                1
  VG Size               99.94 GB
  PE Size               64.00 MB
  Total PE              1599
  Alloc PE / Size       1344 / 84.00 GB
  Free  PE / Size       255 / 15.94 GB
  VG UUID               ms2dp6-0oo8-90Si-c1xk-3dmu-n4y0-itrhJt
# lvdisplay 
  --- Logical volume ---
  LV Name                /dev/VolGroup00/LogVol00
  VG Name                VolGroup00
  LV UUID                cdgbtX-dON1-0pzD-cRqa-d3et-9Tuo-n2F4h7
  LV Write Access        read/write
  LV Status              NOT available
  LV Size                1.00 GB
  Current LE             16
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
   
  --- Logical volume ---
  LV Name                /dev/VolGroup00/LogVol06
  VG Name                VolGroup00
  LV UUID                uFDILQ-zexG-vjZF-MBs4-K9Oj-UPae-zh2G2s
  LV Write Access        read/write
  LV Status              NOT available
  LV Size                60.00 GB
  Current LE             960
  Segments               2
  Allocation             inherit
  Read ahead sectors     auto
   
  --- Logical volume ---
  LV Name                /dev/VolGroup00/LogVol05
  VG Name                VolGroup00
  LV UUID                DZP2MZ-cb3r-keSq-9y45-Wo0m-CaB7-HSH7cg
  LV Write Access        read/write
  LV Status              NOT available
  LV Size                1.00 GB
  Current LE             16
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
   
  --- Logical volume ---
  LV Name                /dev/VolGroup00/LogVol04
  VG Name                VolGroup00
  LV UUID                0fZrRl-UvS0-dL04-8AOJ-offp-UiGS-CSzwRp
  LV Write Access        read/write
  LV Status              NOT available
  LV Size                8.00 GB
  Current LE             128
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
   
  --- Logical volume ---
  LV Name                /dev/VolGroup00/LogVol02
  VG Name                VolGroup00
  LV UUID                1Wh4Df-g2Wr-DDtC-WlsU-fi3V-Pwgz-mkkb5L
  LV Write Access        read/write
  LV Status              NOT available
  LV Size                4.00 GB
  Current LE             64
  Segments               2
  Allocation             inherit
  Read ahead sectors     auto
   
  --- Logical volume ---
  LV Name                /dev/VolGroup00/LogVol03
  VG Name                VolGroup00
  LV UUID                xQs5dV-EYTQ-A3Lk-oml4-hEDt-v7SG-V9aBM5
  LV Write Access        read/write
  LV Status              NOT available
  LV Size                6.00 GB
  Current LE             96
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
   
  --- Logical volume ---
  LV Name                /dev/VolGroup00/LogVol01
  VG Name                VolGroup00
  LV UUID                ZzH1DK-LNMH-hYN3-6nEG-JScW-DvNn-gtOPAo
  LV Write Access        read/write
  LV Status              available
  # open                 0
  LV Size                4.00 GB
  Current LE             64
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:9
Comment 1 Markku Kolkka 2009-04-14 08:29:45 EDT
Created attachment 339475 [details]
Anaconda log file
Comment 2 Markku Kolkka 2009-04-14 08:30:13 EDT
Created attachment 339476 [details]
Program log file
Comment 3 Markku Kolkka 2009-04-14 08:30:46 EDT
Created attachment 339477 [details]
Storage log file
Comment 4 Markku Kolkka 2009-04-16 10:15:39 EDT
The same error happens with rawhide boot.iso from 2009-04-16, with anaconda 11.5.0.44
Comment 5 David Lehman 2009-04-16 10:41:43 EDT
This will be fixed in anaconda-11.5.0.45-1.
Comment 6 Markku Kolkka 2009-04-19 05:27:54 EDT
Tested again with latest rawhide boot.iso and the bug doesn't occur any more.

Note You need to log in before you can comment on or make changes to this bug.